module Debate.Arguments.Ethics.EthicalSlurs exposing (..)

import Debate.Types exposing (..)


argumentEthicalSlurs : Argument
argumentEthicalSlurs =
    { argumentTitle = "Argument for Using the Term Retard"
    , propositionTitle = ""
    , propositionSummary = ""
    , proofLink = "https://www.umsu.de/trees/#(~6x(Cx~4Bx)),(~6x(~3Cx~5Dx)),(~3Cr),(~3Br~1Dr~5Sr),(Sr~5Ar)%7C=(Ar)"
    , definitionTable =
        [ { definiendum = "C(x)"
          , definiens = "(x) slur's negative connotations have been neutralised"
          }
        , { definiendum = "B(x)"
          , definiens = "(x) slur has been rendered non-bigoted via altered usage"
          }
        , { definiendum = "D(x)"
          , definiens = "oppressed people will continue to suffer from the use of (x) slur"
          }
        , { definiendum = "S(x)"
          , definiens = "it is permissible to neutralise the term retard's negative connotations"
          }
        , { definiendum = "A(x)"
          , definiens = "it is generally permissible to use the term retard with an altered non-bigoted meaning"
          }
        , { definiendum = "r"
          , definiens = "retard"
          }
        ]
    , argumentFormalization =
        [ { premises =
                [ { premise = "For all slurs, (x) slur's negative connotations have been neutralised if and only if, (x) slur has been rendered non-bigoted via altered usage."
                  , notation = "(∀x(Cx↔Bx))"
                  }
                , { premise = "For all slurs, if it is not the case that (x) slur's negative connotations have been neutralised, then oppressed people will continue to suffer from the use of (x) slur."
                  , notation = "(∀x(¬Cx→Dx))"
                  }
                , { premise = "It is not the case that the term retard's negative connotations have been neutralised."
                  , notation = "(¬Cr)"
                  }
                , { premise = "If the term retard has not been rendered non-bigoted via altered usage and oppressed people will continue to suffer from the use of the term retard, then it is permissible to neutralise the term retard's negative connotations."
                  , notation = "(¬Br∧Dr→Sr)"
                  }
                , { premise = "If it is permissible to neutralise the term retard's negative connotations, then It is generally permissible to use the term retard with an altered non-bigoted meaning."
                  , notation = "(Sr→Ar)"
                  }
                ]
          , conclusion = "Therefore, it is generally permissible to use the term retard with an altered non-bigoted meaning."
          , conclusionNotation = "(∴Ar)"
          }
        ]
    }
